cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/scim/v2/Users/{id}/.search \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"attributes":"string","excludedAttributes":"string"}'{
"id": "<string>",
"schemas": [
"<string>"
],
"active": true,
"displayName": "<string>",
"emails": [
{
"value": "<string>",
"display": "<string>",
"primary": true,
"type": "<string>"
}
],
"externalId": "<string>",
"groups": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"name": {
"familyName": "<string>",
"givenName": "<string>"
},
"userName": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Similar to GetUser however search parameters are passed via the POST body. See https://www.rfc-editor.org/rfc/rfc7644.html#section-3.4.3 for more details.
Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
POST
/
api
/
scim
/
v2
/
Users
/
{id}
/
.search
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/scim/v2/Users/{id}/.search \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"attributes":"string","excludedAttributes":"string"}'{
"id": "<string>",
"schemas": [
"<string>"
],
"active": true,
"displayName": "<string>",
"emails": [
{
"value": "<string>",
"display": "<string>",
"primary": true,
"type": "<string>"
}
],
"externalId": "<string>",
"groups": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"name": {
"familyName": "<string>",
"givenName": "<string>"
},
"userName": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.

